package nz.co.cloudstore.airconsoledemo.adapters;

import android.support.v7.widget.RecyclerView;
import android.view.View;
import android.widget.TextView;

import nz.co.cloudstore.airconsoledemo.R;
import nz.co.cloudstore.airconsoledemo.ui.RecyclerViewOnClickListener;

public class ItemViewHolder extends RecyclerView.ViewHolder implements View.OnClickListener {

    public TextView title;
    public TextView value;

    private RecyclerViewOnClickListener mListener;

    public ItemViewHolder(View itemView, RecyclerViewOnClickListener listener) {
        super(itemView);
        title = itemView.findViewById(R.id.titleTextView);
        value = itemView.findViewById(R.id.valueTextView);
        mListener = listener;
        itemView.setOnClickListener(this);
    }

    @Override
    public void onClick(View view) {
        mListener.onClick(view, getAdapterPosition());
    }
}
