package nz.co.cloudstore.airconsoledemo.data;

import android.content.Context;
import android.content.SharedPreferences;
import android.preference.PreferenceManager;

public class PrefsStore {

    private static final String IP_TRANSPORT_ENABLED = "IP_TRANSPORT_ENABLED";
    private static final String BT_TRANSPORT_ENABLED = "BT_TRANSPORT_ENABLED";
    private static final String BTLE_TRANSPORT_ENABLED = "BTLE_TRANSPORT_ENABLED";

    private static PrefsStore prefsStore;

    private SharedPreferences sharedPreferences;

    private PrefsStore(Context context) {
        sharedPreferences = PreferenceManager.getDefaultSharedPreferences(context);
    }

    public  static PrefsStore getInstance(Context context) {
        if (prefsStore == null) {
            prefsStore = new PrefsStore(context);
        }
        return prefsStore;
    }

    public Boolean getIpTransportEnabled() {
        return sharedPreferences.getBoolean(IP_TRANSPORT_ENABLED, true);
    }

    public Boolean getBtTransportEnabled() {
        return sharedPreferences.getBoolean(BT_TRANSPORT_ENABLED, true);
    }

    public Boolean getBtleTransportEnabled() {
        return sharedPreferences.getBoolean(BTLE_TRANSPORT_ENABLED, true);
    }

    public void setIpTransportEnabled(Boolean enabled) {
        SharedPreferences.Editor editor = sharedPreferences.edit();
        editor.putBoolean(IP_TRANSPORT_ENABLED, enabled);
        editor.apply();
    }

    public void setBtTransportEnabled(Boolean enabled) {
        SharedPreferences.Editor editor = sharedPreferences.edit();
        editor.putBoolean(BT_TRANSPORT_ENABLED, enabled);
        editor.apply();
    }

    public void setBtleTransportEnabled(Boolean enabled) {
        SharedPreferences.Editor editor = sharedPreferences.edit();
        editor.putBoolean(BTLE_TRANSPORT_ENABLED, enabled);
        editor.apply();
    }
}
